## DzlTreeBuilder DzlTreeBuilder |

## Functions

DzlTree * | dzl_tree_builder_get_tree ()

## Types and Values

| DzlTreeBuilderClass

## Description

## Functions

### dzl_tree_builder_get_tree ()

    DzlTree *
    dzl_tree_builder_get_tree (DzlTreeBuilder *builder);

Gets the tree that owns the builder.

#### Parameters

builder | A DzlTreeBuilder. | [in]

#### Returns

A DzlTree or `NULL`.

[transfer none][type DzlTree][nullable]

## Types and Values

### DzlTreeBuilderClass

    typedef struct {
      GInitiallyUnownedClass parent_class;

      void     (*added)           (DzlTreeBuilder *builder,
                                   GtkWidget      *tree);
      void     (*removed)         (DzlTreeBuilder *builder,
                                   GtkWidget      *tree);
      void     (*build_node)      (DzlTreeBuilder *builder,
                                   DzlTreeNode    *node);
      gboolean (*node_activated)  (DzlTreeBuilder *builder,
                                   DzlTreeNode    *node);
      void     (*node_selected)   (DzlTreeBuilder *builder,
                                   DzlTreeNode    *node);
      void     (*node_unselected) (DzlTreeBuilder *builder,
                                   DzlTreeNode    *node);
      void     (*node_popup)      (DzlTreeBuilder *builder,
                                   DzlTreeNode    *node,
                                   GMenu          *menu);
    } DzlTreeBuilderClass;